#include<stdio.h>

#include"zither_lint.h"
#include<almemsys/almemsys.h>


int portcheck(int ch, char * data)
{
int ret;
ret = -1;

if(ch == 1){
   if(0 == self_memcmp(data, "SET")){ ret = 0; } 
   else { ret = -1; }
   }
else{
   if(0 == self_memcmp(data, "PORT")){ ret = 0; } 
   else if(0 == self_memcmp(data, "COMAND")){ ret = 0; } 
   else if(0 == self_memcmp(data, "SNMP")){ ret = 0; } 
   else { ret = -1; }
   }
return ret;
}

